# Class TypeNameMatchCollector

java.lang.Object
org.eclipse.jdt.core.search.TypeNameMatchRequestor
org.eclipse.jdt.core.manipulation.TypeNameMatchCollector

public class TypeNameMatchCollector extends TypeNameMatchRequestor

Since:
  1.10

## Constructor Summary

Constructors
Constructor
Description
`TypeNameMatchCollector(Collection<TypeNameMatch> collection)`

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptTypeNameMatch(TypeNameMatch match)`
Accepts a type name match (`TypeNameMatch`) which contains top-level or a member type information as package name, enclosing types names, simple type name, modifiers, etc.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeNameMatchCollector

public TypeNameMatchCollector(Collection<TypeNameMatch> collection)

## Method Details

### acceptTypeNameMatch

public void acceptTypeNameMatch(TypeNameMatch match)
Description copied from class: `TypeNameMatchRequestor`
Accepts a type name match (`TypeNameMatch`) which contains top-level or a member type information as package name, enclosing types names, simple type name, modifiers, etc.

Specified by:
  `acceptTypeNameMatch` in class `TypeNameMatchRequestor`
Parameters:
  `match` - the match which contains all type information